CVE-2002-1758
CVSS5.0
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:26
NMCO    

[原文]PHProjekt 2.0 through 3.1 allows remote attackers to view or modify data via requests to certain scripts that do not verify if the user is logged in.


[CNNVD]PHPProjekt未授权脚本可访问漏洞(CNNVD-200212-232)

        
        PHPProjekt是一款免费开放源代码PHP组件程序,由PHPProjekt Development Team开发和维护,可使用在Unix和Linux操作系统下,也可使用在Microsoft Windows操作系统下。
        PHPProjekt部分需要验证的脚本缺少正确验证机制,可导致攻击者无需登录访问脚本。
        PHPProjekt中的部分脚本本来需要验证的用户才能访问,攻击者可以无需认证通过HTTP POST方式提交数据来查看或者编辑包含在任意脚本中的数据。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:phprojekt:phprojekt:3.0
cpe:/a:phprojekt:phprojekt:2.4
cpe:/a:phprojekt:phprojekt:2.0.1
cpe:/a:phprojekt:phprojekt:3.1
cpe:/a:phprojekt:phprojekt:2.1
cpe:/a:phprojekt:phprojekt:3.1a
cpe:/a:phprojekt:phprojekt:2.2
cpe:/a:phprojekt:phprojekt:2.1a
cpe:/a:phprojekt:phprojekt:2.0
cpe:/a:phprojekt:phprojekt:2.4a
cpe:/a:phprojekt:phprojekt:2.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1758
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1758
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-232
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/8943
(PATCH)  XF  phprojekt-unauth-script-access(8943)
http://www.securityfocus.com/bid/4599
(PATCH)  BID  4599

- 漏洞信息

PHPProjekt未授权脚本可访问漏洞
中危 访问验证错误
2002-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        PHPProjekt是一款免费开放源代码PHP组件程序,由PHPProjekt Development Team开发和维护,可使用在Unix和Linux操作系统下,也可使用在Microsoft Windows操作系统下。
        PHPProjekt部分需要验证的脚本缺少正确验证机制,可导致攻击者无需登录访问脚本。
        PHPProjekt中的部分脚本本来需要验证的用户才能访问,攻击者可以无需认证通过HTTP POST方式提交数据来查看或者编辑包含在任意脚本中的数据。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时没有合适的临时解决方法。
        厂商补丁:
        PHPProjekt
        ----------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        PHPProjekt Upgrade PHPProjekt 3.2
        
        http://www.phprojekt.com/modules.php?op=modload&name=Downloads&file=index&req=viewdownload&cid=1

- 漏洞信息

59532
PHProjekt Multiple Script Direct Request Authentication Bypass
Remote / Network Access Authentication Management
Loss of Integrity Upgrade
Vendor Verified, Vendor Disputed, Coordinated Disclosure

- 漏洞描述

PHProjekt contains a flaw that may allow an attacker to gain unauthorized access to scripts. The issue is triggered when a remote attacker sends a specially-crafted URL request containing a manipulated $PHP_SELF parameter or use the HTTP POST method to bypass login requirements and gain unauthorized access to arbitrary scripts.

- 时间线

2002-04-24 Unknow
Unknow 2002-04-11

- 解决方案

Upgrade to version 3.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站